Skip to main content
POST
/
v3
/
spans
/
query
Query spans
curl --request POST \
  --url https://{host}/v3/spans/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z",
  "ordering": "-start_time",
  "page_size": 50,
  "offset": 0
}
'
{
  "api_version": "3.0",
  "kind": "PAGINATED",
  "data": {
    "page_size": 10,
    "item_count": 10,
    "total": 100,
    "page_count": 10,
    "page_index": 1,
    "offset": 0,
    "items": [
      {
        "span_id": "<string>",
        "trace_id": "<string>",
        "name": "<string>",
        "status_code": "<string>",
        "start_time": "2023-11-07T05:31:56Z",
        "duration": 123,
        "parent_span_id": "<string>",
        "session_id": "<string>",
        "span_type": "<string>",
        "status_message": "<string>",
        "agent_id": "<string>",
        "agent_name": "<string>",
        "input": "<string>",
        "output": "<string>",
        "span_attributes": {},
        "evaluators": [
          {
            "evaluator_rule_name": "<string>",
            "output_name": "<string>",
            "value": 123,
            "label": "<string>"
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
application_id
string<uuid>
required
start_time
string<date-time>
required

Start of the time range (inclusive, UTC).

end_time
string<date-time>
required

End of the time range (exclusive, UTC).

filter
object

Optional structured filter tree. Maximum nesting depth is 3 levels and maximum total rule count is 10.

ordering
string
default:-start_time

Sort field with optional leading "-" for descending

page_size
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: 0 <= x <= 10000

Response

A paginated list of spans matching the query

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object